Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Update form template field

PUT/administration/form-templates/{templateId}/fields/{fieldId}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
templateIdstringrequired
fieldIdstringrequired
Request body
requiredapplication/json
descriptionstring
helpTextobject | null
keyobject | null
labelstring
placeholderobject | null
requiredboolean
selectOptionsobject[]
settingsobject
sortnumber
typestring
Allowed:TextTextareaNumberDateCheckboxSelectMultiSelectCurrencyUrlSectionHeadingFileUploadSignatureRadio
Responses
200
successbooleanrequired
Operation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X PUT "https://leadtime.app/api/public/administration/form-templates/string/fields/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "helpText": {},
  "key": {},
  "label": "string",
  "placeholder": {},
  "required": true,
  "selectOptions": [
    {}
  ],
  "settings": {},
  "sort": 0,
  "type": "Text"
}'
Response
{
  "success": true
}